﻿*{
    margin:0;
    padding:0;
    
}

*, ::after, ::before {
    box-sizing: border-box;
}

body {
    width: 100%;
    overflow: hidden;
    background-image: url('/Images/bg-img.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    /*backdrop-filter: blur(4px);*/
    -webkit-backdrop-filter: blur(4px);
    /*-webkit-transition: background-image 1s ease-in-out;
    transition: background-image 1s ease-in-out;*/
    font-family: 'Roboto', sans-serif;
}

.list-group {
    max-height: 510px;
    overflow-y: auto;
    overflow-x: hidden;
}

.list-group-item {
    border: none;
    border-left: 4px solid #162959;
    margin-bottom: 1rem;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, .2);
}

.pulsate::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    animation: pulse 1s ease infinite;
    border-radius: 50rem;
    border: 4px double red;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 1;
    }

    60% {
        transform: scale(1.3);
        opacity: 0.4;
    }

    100% {
        transform: scale(1.4);
        opacity: 0;
    }
}

.mainHeader {
    z-index: 999;
    box-shadow: rgb(0 0 0 / 35%) 0px 5px 15px;
}

caption{
    caption-side:top;
    color:black;
    text-align:center;
}

@font-face {
    font-family: 'Boogaloo';
    src: URL('Boogaloo-Regular.ttf') format('truetype');
}

.labelSubParagraph{
    font-size:0.9vw;
}

.footer {
    position: sticky;
    bottom: 0;
    font-size: 1vw;
    width: 100%;
    background-image: linear-gradient(to top, #128d8d, #0000FF);
}

.btn {
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
}

.rsp-logo{
    width:8vw;
}

.rsp-logo-login{
    width:15vw;
}

.label-family {
    font-size: 1vw;
    color: #256da1;
}

.labelSubHeader {
    font-size: 1.2vw;
    text-shadow: 2px 8px 6px rgba(0,0,0,0.2);
}

.mainContent {
    display: flex;
    width: 100%;
    min-height: 88vh;
    max-height: 88vh;
    overflow-x: hidden;
    overflow-y: auto;
    padding-top: 10px;
    background-image: linear-gradient( 95.2deg, rgb(217 243 237) 26.8%, rgba(192,229,246,1) 64% );
}

.mainContentLogin {
    display: flex;
    width: 100%;
    height: 100vh;
    max-height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
}

.loginContainer {
    border-radius: 10px 50px;
    background-image: linear-gradient(to left, #43e173, #fc975c);
    box-shadow: 0 0 10px 0 rgb(0 0 0 / 50%);
}

.loginHeader {
    border-bottom:none;
    background-color: transparent;
}

.loginBody {
    border-radius: 10px 10px 10px 50px;
}

.loginLogo{
    width:8vw;
    height:auto;
}

.covid-signature {
    width: 4vw;
    mix-blend-mode:multiply;
}

.loginButton {
    height: 50px;
    font-family: 'Roboto', sans-serif;
    font-size: 0.7vw;
    text-transform: uppercase;
    letter-spacing: 2.5px;
    font-weight: 500;
    color: #fff;
    background-color: #256da1;
    border: none;
    border-radius: 45px;
    box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease 0s;
    cursor: pointer;
    outline: none;
}

    .loginButton:hover {
        background-color: blueviolet;
        box-shadow: 0px 15px 20px violet;
        color: #fff;
        transform: translateY(-7px);
    }

.modal-header{
    border-bottom:none!important;
}

.modal-footer{
    border-top:none!important;
    justify-content:center!important;
    flex-wrap:nowrap;
}

.btn:focus{
    outline:none!important;
    box-shadow:none!important;
}

.homepageicons_size {
    width: 5vw;
    height: auto;
    filter: drop-shadow(0px 0px 4px grey);
}

.userLoggedinImage {
    height: auto;
    width: 3vw;
    border-radius: 50%;
}

.navbarDateTimeDisplay {
    list-style-type: none;
    text-decoration: none;
}

.navbarUserProfile {
    left: -240%;
    background-image: linear-gradient(to right, blue, #128d8d);
    font-size: 1vw;
    max-height: 87vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.nBarProfile{
    column-gap: 0.5vw;
}

.dd-item {
    font-weight: 600;
    color: antiquewhite!important;
    transition: 0.2s all ease-in 0s;
}

    .dd-item:hover {
        background-color: darkorange!important;
        color:black!important;
        transform:scale(1.1);
    }

.currentDateTime {
    color: orangered;
    font-family: Arial Black;
    font-weight: bold;
    font-size: 0.8vw;
}

.news-scroll p{
    text-decoration: none;
    background-color:transparent;
    font-size: 1vw;
}

.dot {
    margin-left: 3px;
    margin-right: 3px;
    margin-top: 2px !important;
    border-radius: 50%;
    display: inline-block
}

.news{
    background-color:transparent;
}

.navbarButtons {
    list-style-type: none;
    margin-right: 8vw;
    text-decoration: none;
    font-size: 1vw;
    background-image: linear-gradient(to right, blue, #128d8d);
    max-height:87vh;
    overflow-y:auto;
    overflow-x:hidden;
}

.form-control{
    border-radius:15px;
    background-color:aliceblue;
    font-size:1vw;
}

.listDisplay{
    position:relative;
}

.navbar-light .navbar-toggler {
    border-color: aliceblue;
}

#nBarItems{
    column-gap:1.5vw;
}

.navbarTabButtons{
    font-size: 1.2vw;
}

.navbarTabButtons:hover > .dropdown-menu {
    display: block;
}

.dropdown-toggle{
    font-weight:700;
    color:black!important;
}

.dropdown-toggle:hover, .dropdown-toggle:active, .dropdown-toggle:focus{
    color:blue!important;
}

.custom-file-upload {
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
    background-color: #007bff;
    color: white;
    border-radius: 25px;
}

/* Scrollbar css Start*/
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
}

::-webkit-scrollbar {
    width: 10px;
    background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #555;
}
/* Scrollbar css End*/

.homeButton {
    font-weight: 700;
    color: black !important;
}

.homeButton:hover, .homeButton:focus{
    color:blue!important;
}

.logoutIcon{
    font-size: 1.3vw;
}

.tableFontSize{
    font-size:1vw;
}

.table-shadow {
    box-shadow: rgb(0 0 0 / 35%) 0px 5px 15px;
}

.labelSize {
    font-size: 1.4vw;
    text-shadow: 2px 8px 6px rgba(0,0,0,0.2);
}

.GridPager a,
.GridPager span {
    display: inline-block;
    padding: 0px 9px;
    margin-right: 4px;
    border-radius: 3px;
    border: solid 1px #c0c0c0;
    background: #e9e9e9;
    box-shadow: inset 0px 1px 0px rgba(255,255,255, .8), 0px 1px 3px rgba(0,0,0, .1);
    font-size: .875em;
    font-weight: bold;
    text-decoration: none;
    color: #717171;
    text-shadow: 0px 1px 0px rgba(255,255,255, 1);
}

.GridPager a {
    background-color: #f5f5f5;
    color: #969696;
    border: 1px solid #969696;
}

.GridPager span {
    background: #616161;
    box-shadow: inset 0px 0px 8px rgba(0,0,0, .5), 0px 1px 0px rgba(255,255,255, .8);
    color: #f0f0f0;
    text-shadow: 0px 0px 3px rgba(0,0,0, .5);
    border: 1px solid #3AC0F2;
}

.table td, .table th {
    padding:0.5rem!important;
}

.myCalender{
    height: 35vh;
    width: 20vw;
    font-size: 1vw;
}

.myCalender tbody tr td a:hover{
    text-decoration:none;
}

.calTitle{
    height:5vh;
}

.no-decoration:hover, .no-decoration:focus{
    text-decoration:none;
}

.labelSubParagraph{
    font-size: 0.9vw;
}

/*Hamburger Icon CSS Start*/
.navbar-toggler span {
    display: block;
    background-color: #4f4f4f;
    height: 3px;
    width: 25px;
    margin-top: 5px;
    margin-bottom: 5px;
    position: relative;
    left: 0;
    opacity: 1;
    transition: all 0.35s ease-out;
    transform-origin: center left;
}

    .navbar-toggler span:nth-child(1) {
        transform: translate(0%, 0%) rotate(0deg);
    }

    .navbar-toggler span:nth-child(2) {
        opacity: 1;
    }

    .navbar-toggler span:nth-child(3) {
        transform: translate(0%, 0%) rotate(0deg);
    }

    .navbar-toggler span:nth-child(1) {
        margin-top: 0.3em;
    }

.navbar-toggler:not(.collapsed) span:nth-child(1) {
    transform: translate(15%, -33%) rotate(45deg);
}

.navbar-toggler:not(.collapsed) span:nth-child(2) {
    opacity: 0;
}

.navbar-toggler:not(.collapsed) span:nth-child(3) {
    transform: translate(15%, 33%) rotate(-45deg);
}
/*Hamburger Icon CSS End*/

/*Css For Mobile Screen*/
@media only screen and (max-width: 768px) {
    .body{
        overflow:auto;
        width:auto;
    }

    ::-webkit-scrollbar {
        width: 5px;
    }

    .mobileResponsive{
        overflow-x:auto;
    }

    .mainHeader {
        height: auto;
    }

    .nav-item {
        text-align: center;
    }

    .navbarButtons{
        text-align: center;
    }

    .myCalender{
        font-size:0.7rem;
        height:10rem;
        width:15rem;
    }

    .labelSize {
        font-size: 1.1rem;
        text-shadow: 2px 8px 6px rgba(0,0,0,0.2);
    }

    .labelSubHeader {
        font-size: 1rem;
        text-shadow: 2px 8px 6px rgba(0,0,0,0.2);
    }

    .loginButton {
        font-size: 0.8rem;
    }

    .label-family {
        font-size: 0.9rem;
        font-family: 'Roboto', sans-serif;
    }

    .tableFontSize{
        font-size:0.8rem;
    }

    .form-control{
        font-size:0.9rem;
    }

    .loginLogo{
        width:100px;
    }

    .footer{
        height:auto;
        font-size:0.7rem;
    }

    .rsp-logo{
        width:7rem;
    }

    .covid-signature{
        width:4rem;
    }

    .rsp-logo-login {
        width: 10rem;
    }

    .currentDateTime{
        font-size:0.7rem;
    }

    .homepageicons_size{
        width:55px;
    }

    .navbarTabButtons{
        font-size:0.8rem;
    }

    .navbarButtons{
        font-size:0.8rem;
        margin:0 auto;
    }

    .userLoggedinImage{
        width:50px;
    }

    .navbarUserProfile{
        left:auto;
        font-size: 0.8rem;
    }

    .nBarProfile {
        column-gap: 1rem;
    }

    .labelSubParagraph{
        font-size: 0.7rem;
    }

    .logoutIcon {
        font-size: 1rem;
    }

    .hideOnMobile{
        display:none;
    }
}